sqlite and wxwidgets 3.1.0 under ubuntu 16.04

In this forum you can discuss database related issues which can be wxWidgets related, but also generic in nature.
dode
Earned a small fee
Earned a small fee
Posts: 23
Joined: Sun Mar 06, 2016 10:22 am

sqlite and wxwidgets 3.1.0 under ubuntu 16.04

Postby dode » Tue May 10, 2016 6:43 pm

System:
LUBUNTU 16.04
wxWidgets 3.1.0: (from codelite site downloaded)
wxsqlite: "sudo apt-get install libwxsqlite3-3.0-0 wxsqlite3-3.0-dbg"

Old app with wxsqlite code refuses to compile with error:
wx/wxsqlite3.h no such file or directory

A locate:
"locate wxsqlite3.h"
does not find it ...

P.S.
The wxWidgets 3.0.2 on the same system with the same wxsqlite used to work out of the box.

Any help would be appreciated.

User avatar
marcelinux
Knows some wx things
Knows some wx things
Posts: 37
Joined: Thu Nov 07, 2013 9:59 pm
Location: Madrid, Spain

Re: sqlite and wxwidgets 3.1.0 under ubuntu 16.04

Postby marcelinux » Tue May 10, 2016 8:19 pm

I think you need libwxsqlite3-3.0-dev
I just need learn a little bit more. Thank you for your help.

dode
Earned a small fee
Earned a small fee
Posts: 23
Joined: Sun Mar 06, 2016 10:22 am

Re: sqlite and wxwidgets 3.1.0 under ubuntu 16.04

Postby dode » Wed May 11, 2016 4:43 am

I found it myself:

the mentioned deb files were build against wxwidgets 3.0

following
wxsqlite3opt.h
wxsqlite3dyn.h
wxsqlite3def.h
wxsqlite3.h
were copyed from: /usr/include/wx-3.0/wx
under: /usr/include/wx-3.1-unofficial/wx

So the Problem is build under the "wrong" library ...

Regards


Return to “Database Related”

Who is online

Users browsing this forum: No registered users and 1 guest